#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
vector <int> ras;
vector <int> solve( vector <int> v ){
    int i;
    ras.clear();
    for( i = 0; i < ( int ) v.size() / 2 - 1; i++ ){
        ras.push_back( i );
    }
    ras.push_back( ( int ) v.size() - 1 );
    for( i = max( ( int ) v.size() / 2 - 1, 0 ); i < ( int ) v.size() - 1; i++ ){
        ras.push_back( i );
    }
    return ras;
}